Subject: Re: Issue with GDB under Cygwin and XP
From: Jim Marshall <[email-masked]>
To: [email-masked]
Date: Thu, 14 Feb 2008 00:45:56 -0500
Newsgroups: gmane.os.cygwin
List-Id: <cygwin.cygwin.com>

Ray Hurst wrote:
> Marco Atzeri wrote:
>> --- Ray Hurst <[email-masked]> ha scritto:
>>
>>>> Works fine on my Windows XP Pro machine using the
>>> same GDB and gcc
>>>> version 3.4.4. What gcc version do you have?
>>>>
>>>> The stack trace would indicate that the crash is
>>> occurring before it
>>>> gets to your main function, since that code
>>> doesn't have debug symbols
>>>> you get addresses.
>>>>
>>>>
>>> Jim,
>>> It's definitely crashing before getting to main and
>>> I don't know why.
>>> The tools versions are: gcc 4.2.3, binutils 2.17.50,
>>> and gdb 6.5.50.
>>>
>>> Ray
>>
>> Hi Ray
>> I will bet on Gcc 4.2.3.
>>
>> there are some reasons why on cygwin gcc 3.4.4
>> is still the default version.
>>
>> Regards
>> Marco
>>
>>
>>
>>
>>       ___________________________________ L'email della prossima 
>> generazione? Puoi averla con la nuova Yahoo! Mail: 
>> http://it.docs.yahoo.com/nowyoucan.html
>>
> Actually I was incorrect. The dump I gave you was for gcc 3.4.4.
> 
> I got it to run under gcc 4.2.3 using Insight.
> 
> I modified the program as follows:
> /*
> 
> ============================================================================ 
> 
>  Name        : HelloWorld.c
>  Author      : Ray Hurst
>  Version     :
>  Copyright   : Your copyright notice
>  Description : Hello World in C, Ansi-style
> 
> ============================================================================ 
> 
>  */
> 
> #include <stdio.h>
> #include <stdlib.h>
> 
> int main(void) {
>     int a,b,c;
>     a = 10;
>     b = 20;
>     c = 30;
>     puts("!!!Hello World!!!"); /* prints !!!Hello World!!! */
>     printf("\na = %d,  b = %d,  c = %d\n", a,b,c);
>     return EXIT_SUCCESS;
> }
> 
> When I step through the program I cannot get the Local Variables window 
> to update the variables when I step over the lines setting the variable.
> 
> I look at the stack area in memory they definitely are updating.
> Ray
> 
> 
> 
Local variables window? Is that in insight? I've not used insight so 
can't really help you there.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/